#
# spec file for package khunphan
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           khunphan
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  automake
BuildRequires:  freeglut-devel
BuildRequires:  gcc-c++
BuildRequires:  libdrm-devel
BuildRequires:  libpng-devel
BuildRequires:  libxml2-devel
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-Mesa-devel
BuildRequires:  pkgconfig(glu)
Requires(pre):  pwdutils
Summary:        Traditional Thai Puzzle Board Game in 3D with Wooden Blocks
License:        GPL-2.0+
Group:          Amusements/Games/3D/Other
Version:        0.55
Release:        478.4
Source0:        http://www.ibiblio.org/pub/Linux/games/strategy/khunphan-0.55.tar.bz2
Source1:        %name.desktop
Source2:        configure.ac
Patch0:         khunphan-0.55-codecleanup.diff
Patch1:         khunphan-freeglut.diff
Patch2:         khunphan-DESTDIR.diff
Patch3:         khunphan-0.55-png_uint_32.diff
# PATCH-FIX-UPSTREAM khunphan-libpng15.patch pgajdos@suse.com -- Support building with libpng15 (not sent upstream, no activity)
Patch4:         khunphan-libpng15.patch
Url:            http://geocities.com/khunphangame/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define _datadir /usr/share/games/

%description
The goal of this game is to move the biggest token to a specific
position. A tutorial and solution hint is available for beginners. The
game is visible as a three-dimensional model with different camera
positions. All movements, including the menus, are physically
calculated.

Different themes, like wood, rock, metal, marble, bubbles, and
painting, are available. Themes influence both the display and the
sound effects. Ambient and Drum & Bass music from Nifflas
(www.nifflas.com) gives the game a unique atmosphere.

%prep
%setup -q
%autopatch -p1
chmod -x khunphan/{*.cpp,*.h}
rm -f aclocal.m4 acinclude.m4 configure.files configure.in*
cp %{S:2} .

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%makeinstall
%suse_update_desktop_file -i %name Game LogicGame

%files
%attr(-,root,root) %doc README
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/*
/usr/share/applications/%name.desktop

%changelog
* Sat Jan 20 2024 Bernhard Wiedemann <bwiedemann@suse.com>
- Use %%autopatch to fix compilation with rpm-4.19
* Wed Feb  8 2017 kukuk@suse.de
- Move /usr/games to /usr/bin (as done with rest 4 years ago)
- Remove user and group games, they are not needed at all
* Mon Sep 23 2013 idonmez@suse.com
- Add games user/group on demand (fate#314560)
* Tue Sep 18 2012 idonmez@suse.com
- Add explicity glu dependency
* Thu Aug 30 2012 pgajdos@suse.com
- build also with libpng15
  * libpng15.patch
* Sat Dec  3 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Thu Dec  9 2010 rguenther@novell.com
- drop bogus libstdc++ BuildRequires
* Thu Mar  5 2009 coolo@suse.de
- buildrequire libpng-devel
* Thu Oct 11 2007 pth@suse.de
- Add missing includes.
- Fix warnings reported by rpmlint.
* Fri Feb 24 2006 nadvornik@suse.cz
- correctly use png_uint_32 [#60738]
* Fri Jan 27 2006 pth@suse.de
- Fux BuildReqires
* Fri Jan 27 2006 pth@suse.de
- Add mesa-devel to BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Apr 30 2005 pth@suse.de
- Get rid of unnecessary KDE-Stuff kdevelop puts into
  the autoconf files.
- Fix the handling of uint64_t
- Clean up the code.
* Fri Apr  8 2005 coolo@suse.de
- fix more gcc problems
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Thu Oct  2 2003 sndirsch@suse.de
- better patch to fix build with freeglut
* Thu Oct  2 2003 sndirsch@suse.de
- fixed build for using freeglut instead of mesaglut
* Tue Aug 19 2003 aj@suse.de
- Fix invalid C++.
* Tue Aug 12 2003 ro@suse.de
- comment broken type definition
* Tue Aug 12 2003 sndirsch@suse.de
- added destkop file
* Thu Aug  7 2003 bk@suse.de
- puzzle board game in 3D after a thai saga, implemented with blocks
